Package net.rubygrapefruit.platform

# Enum Class Terminal.Color

java.lang.Object
java.lang.Enum<Terminal.Color>
net.rubygrapefruit.platform.Terminal.Color

All Implemented Interfaces:
  `Serializable`, `Comparable<Terminal.Color>`, `Constable`

Enclosing interface:
  `Terminal`

public static enum Terminal.Color extends Enum<Terminal.Color>
Basic colors supported by a terminal.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Black`
`Blue`
`Cyan`
`Green`
`Magenta`
`Red`
`White`
`Yellow`

## Method Summary

Modifier and Type
Method
Description
`static Terminal.Color`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Terminal.Color[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Black

public static final Terminal.Color Black

### Red

public static final Terminal.Color Red

### Green

public static final Terminal.Color Green

### Yellow

public static final Terminal.Color Yellow

### Blue

public static final Terminal.Color Blue

### Magenta

public static final Terminal.Color Magenta

### Cyan

public static final Terminal.Color Cyan

### White

public static final Terminal.Color White

## Method Details

### values

public static Terminal.Color[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Terminal.Color valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null